Subject: Re: [PATCH] rev-list: accept --format without argument

From: Matthieu Moy <[email-masked]>
Date: Wed, 04 Aug 2010 09:39:23 +0200

Any other thought on this? I don't care much either way, but we should
make the doc and the implementation consistant anyway...

Matthieu Moy <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Matthieu Moy <[email-masked]> writes:
>>
>>> The documentation says the syntax is --format[='<format>'], match it in
>>> the implementation.
>>>
>>> Signed-off-by: Matthieu Moy <[email-masked]>
>>> ---
>>> Not that it's terribly usefull, but better be consistant ...
>>
>> Hmm, I do not care too deeply either way as I do not expect anybody sane
>> to have used, nor learn from this patch and start using, --format without
>> any formatting specification, but it somehow feels that this patch takes
>> consistency the wrong way.
>
> The other way would be stg like:
>
> diff --git a/Documentation/pretty-options.txt b/Documentation/pretty-options.txt
> index d78e121..9b6f389 100644
> --- a/Documentation/pretty-options.txt
> +++ b/Documentation/pretty-options.txt
> @@ -1,5 +1,5 @@
>  --pretty[='<format>']::
> ---format[='<format>']::
> +--format='<format>'::
>  
>         Pretty-print the contents of the commit logs in a given format,
>         where '<format>' can be one of 'oneline', 'short', 'medium',
>
> But I'd say it's simpler to be able to say "--format is an alias for
> --pretty" than "--format is an alias for --pretty _except that ..._".
>
> And actually,
>
> git rev-list --format
>
> is not that stupid if you read it as "list revisions and do some
> formatting as you do it".
>
> (but I don't care much either ;-) )

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/